/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client.comandi;


import java.io.IOException;

import gdistasi.StarzaNet.server.gestione.*;
import gdistasi.StarzaNet.server.*;


public class ComandoDati extends ComandoBase {
    public static String type="comandoDati";
    
    DatiUtente datiConnessione;
    float costo;
    long inizio;
    long fine;
    float risparmio;
    float quotaFissa;
    float costoFissoVirtuale;
    boolean connesso;


    public ComandoDati(DatiUtente dati){
	datiConnessione=dati;
    }

    public int getType(){
	return 1;
    }

    public void esegui() throws IOException,ClassNotFoundException {
	//datiConnessione=(DatiUtente)socket.riceviObj();
	costo=socket.riceviFloat();
	inizio=socket.riceviLong();
	fine=socket.riceviLong();
	risparmio=socket.riceviFloat();
	quotaFissa=socket.riceviFloat();
	costoFissoVirtuale=socket.riceviFloat();
	//connesso=socket.riceviBoolean();
	eseguiParteClient();
    }

    public void eseguiParteClient(){
	datiConnessione.setCosto(costo);
	datiConnessione.setRisparmio(risparmio);
	datiConnessione.setSoloInizio(inizio);
	datiConnessione.setFine(fine);
	datiConnessione.setCostoFisso(quotaFissa);
	datiConnessione.setCostoFissoVirtuale(costoFissoVirtuale);
	//datiConnessione.setConnesso(connesso);
	//System.out.println("CONNESSIONE="+costo+" "+risparmio+" "+inizio+" "+fine);
	getGestoreParteClient().getVisualizzatoreDati().accettaDati(datiConnessione);
    } 

    /* private void writeObject(java.io.ObjectOutputStream out)
	throws IOException {
	out.defaultWriteObject();
	
	//System.out.println("WRITE");
	datiConnessione.writeObject(out);
    }
    
    private void readObject(java.io.ObjectInputStream in)
	throws IOException, ClassNotFoundException {
	in.defaultReadObject();
	datiConnessione=new DatiUtente();
	datiConnessione.readObject(in);
	}*/
}






