/*
 *	Copyright (C) 2002, Giovanni Di Stasi	giovannidistasi@libero.it
 *
 *	This file is part of 'starzanet'
 *
 *	See the file called "LICENSE" for license information.
 */

package gdistasi.StarzaNet.client.comandi;

import java.io.IOException;

import gdistasi.StarzaNet.server.*;

public interface Comando {
     
    
    public void inizializza();
    public void setUtente(Utente utente);
    public void eseguiParteClient();
    public void setGestoreParteClient(GestoreComandiClient ges);
    public void setSocket(MySocket soc);
    public GestoreComandiClient getGestoreParteClient();
    public int getType();

    public MySocket getSocket();
    public Exception getException();
    
    public void esegui() throws IOException,ClassNotFoundException,PassException ;


}
